@charset "UTF-8";

body #content .sect2 {
  margin-bottom: 0;
}

/* モーダル */
body .modal-open{
  display: flex;
  align-items: center;
  justify-content: center;
  color: #333;
  margin: auto;
  cursor: pointer;
  margin: 10px 0 20px;
  text-decoration: underline;
}

body #content .modal-container{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  background: rgba(0,0,0,70%);
  padding: 40px 20px;
  overflow: auto;
  opacity: 0;
  visibility: hidden;
  transition: .3s;
  box-sizing: border-box;
}

body #content .modal-container:before{
  content: "";
  display: inline-block;
  vertical-align: middle;
  height: 100%;
}

body #content .modal-container.active{
  opacity: 1;
  visibility: visible;
  z-index: 50000;
}

body #content .modal-body{
  position: relative;
  display: inline-block;
  vertical-align: middle;
  max-width: 800px;
  width: 90%;
}

body #content .modal-close{
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  top: -40px;
  right: -40px;
  width: 40px;
  height: 40px;
  font-size: 40px;
  color: #fff;
  cursor: pointer;
}

body #content .modal-content{
  background: #fff;
  text-align: center;
  padding: 30px;
}

/* モーダル内コンテンツ */
body #content .select_btns {
  display: flex;
  gap:10px;
  list-style-type: none;
  justify-content: center;
  margin: 15px 0;
}

body #content .select_btn {
  box-sizing: border-box;
  display: block;
  padding: 20px;
  background: #c84838;
  color: #fff;
  font-weight: bold;
  cursor: pointer;
  min-width: 300px;
  text-decoration: none;
}

.display {
  padding: 15px;
  border: 1px solid #ccc;
  box-shadow: 0px 0px 10px -5px #777;
  border-radius: 5px;
  text-align: center;
  background-color: #FFF;
  font-size:0.8rem;
}

.display:hover {
  cursor: pointer;
}

.display .emp {
  font-weight: bold;
}

  @media screen and (min-width: 769px) {
        body #header #toc .sectlevel1, body #header #toc .sectlevel2 {
          height: calc(100vh - 340px);
          min-height: 200px;
        }
        body #header #toc.active .sectlevel1, body #header #toc.active .sectlevel2 {
          height: calc(100vh - 180px);
        }
  }

  @media screen and (max-width: 768px) {
    body #content .modal-content {
      padding: 20px;
    }
    body #content .select_btns {
      flex-wrap: wrap;
    }

    body #content .select_btn {
      width: 100%;
      max-width: 300px;
      min-width: 100px;
    }
  }
